* {
  box-sizing: border-box;
}

h2 {
  text-align: center;
  background-color: rgb(0, 0, 0);
  font-size: 40px;
  font-weight: bold;
  margin-left: 40%;
  margin-right: 40%;
  border-radius: 10px;
  color: rgb(255, 255, 255);
}

.buttons2 h1 {
  font-size: 2em;
}
body {
  background-image: url(wallpaper3.jpg);
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  font-family: Arial, Helvetica, sans-serif;
  margin: 0 auto;
  padding: 0 0;
}
.buttons {
  background-color: black;
  display: inline-block;
}

.buttons {
  background-color: rgb(0, 0, 0);
  height: 80px;
  width: 100%;
  text-align: center;
}

.buttons ul {
  height: 80px;
  list-style: none;
  margin: 0 auto;
  padding: 0;
  text-align: center;
  font-weight: bold;
  display: inline-block;
  width: 100%;
  text-align: center;
  background: linear-gradient(90deg, #00ffff, #2392c2, #7272d4);

  background-size: 300% 100%;

  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;

  animation: gradientMove 5s linear infinite;
}

@keyframes gradientMove {
  0% {
    background-position: 0% 50%;
  }
  100% {
    background-position: 300% 50%;
  }
}

.buttons ul li {
  color: rgb(255, 255, 255);
  display: inline-block;
  height: 80px;
  line-height: 80px;
  list-style: none;
  padding: 0 10px;
  text-align: center;
}

a {
  color: rgb(255, 255, 255);
  text-decoration: none;
}

#grid-container {
  display: grid;
  grid-template-columns: 12fr 12fr 12fr 12fr;
  padding: 20px;
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media only screen and (max-width: 700px) {
  #grid-container {
    grid-template-columns: 1fr;
  }
}

@media only screen and (max-width: 1200px) {
}

a {
  transition: all 0.5s ease;
}

.buttons ul li:hover {
  color: rgb(0, 128, 255, 0.5);
  font-size: 2em;
}

#headertext {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;

  img {
    width: 100%;
    max-width: 600px;
    margin: 30px;
  }
}

.buttons2 {
  display: flex;
  justify-content: center;
  gap: 15px;
  flex-direction: column;
  align-items: center;
}

.buttons2 h1 {
  display: inline-block;
  margin: 0px;
  padding: 20px;
  background: #2a7b9b;
  background-blend-mode: difference;
  color: aliceblue;
  border-radius: 20px;

  background-color: rgb(0, 128, 255, 0.7);
}

.buttons2 h1:hover {
  text-decoration-color: currentColor;
}
.buttons2 h1 {
  text-decoration: underline;
  text-decoration-color: transparent;
  text-underline-offset: 10px;
  transition: text-decoration-color 0.5s ease;
}
